<?php



$tdatarazoesnaocompra = array();
$tdatarazoesnaocompra[".searchableFields"] = array();
$tdatarazoesnaocompra[".ShortName"] = "razoesnaocompra";
$tdatarazoesnaocompra[".OwnerID"] = "";
$tdatarazoesnaocompra[".OriginalTable"] = "Razoesnaocompra";


$tdatarazoesnaocompra[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatarazoesnaocompra[".originalPagesByType"] = $tdatarazoesnaocompra[".pagesByType"];
$tdatarazoesnaocompra[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatarazoesnaocompra[".originalPages"] = $tdatarazoesnaocompra[".pages"];
$tdatarazoesnaocompra[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatarazoesnaocompra[".originalDefaultPages"] = $tdatarazoesnaocompra[".defaultPages"];

//	field labels
$fieldLabelsrazoesnaocompra = array();
$fieldToolTipsrazoesnaocompra = array();
$pageTitlesrazoesnaocompra = array();
$placeHoldersrazoesnaocompra = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsrazoesnaocompra["Portuguese(Standard)"] = array();
	$fieldToolTipsrazoesnaocompra["Portuguese(Standard)"] = array();
	$placeHoldersrazoesnaocompra["Portuguese(Standard)"] = array();
	$pageTitlesrazoesnaocompra["Portuguese(Standard)"] = array();
	$fieldLabelsrazoesnaocompra["Portuguese(Standard)"]["CodRazoes"] = "Cod Razoes";
	$fieldToolTipsrazoesnaocompra["Portuguese(Standard)"]["CodRazoes"] = "";
	$placeHoldersrazoesnaocompra["Portuguese(Standard)"]["CodRazoes"] = "";
	$fieldLabelsrazoesnaocompra["Portuguese(Standard)"]["Descri__o"] = "Descrição";
	$fieldToolTipsrazoesnaocompra["Portuguese(Standard)"]["Descri__o"] = "";
	$placeHoldersrazoesnaocompra["Portuguese(Standard)"]["Descri__o"] = "";
	if (count($fieldToolTipsrazoesnaocompra["Portuguese(Standard)"]))
		$tdatarazoesnaocompra[".isUseToolTips"] = true;
}


	$tdatarazoesnaocompra[".NCSearch"] = true;



$tdatarazoesnaocompra[".shortTableName"] = "razoesnaocompra";
$tdatarazoesnaocompra[".nSecOptions"] = 0;

$tdatarazoesnaocompra[".mainTableOwnerID"] = "";
$tdatarazoesnaocompra[".entityType"] = 0;

$tdatarazoesnaocompra[".strOriginalTableName"] = "Razoesnaocompra";

	



$tdatarazoesnaocompra[".showAddInPopup"] = false;

$tdatarazoesnaocompra[".showEditInPopup"] = false;

$tdatarazoesnaocompra[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatarazoesnaocompra[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatarazoesnaocompra[".listAjax"] = false;
//	temporary
$tdatarazoesnaocompra[".listAjax"] = false;

	$tdatarazoesnaocompra[".audit"] = false;

	$tdatarazoesnaocompra[".locking"] = false;


$pages = $tdatarazoesnaocompra[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatarazoesnaocompra[".edit"] = true;
	$tdatarazoesnaocompra[".afterEditAction"] = 1;
	$tdatarazoesnaocompra[".closePopupAfterEdit"] = 1;
	$tdatarazoesnaocompra[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatarazoesnaocompra[".add"] = true;
$tdatarazoesnaocompra[".afterAddAction"] = 1;
$tdatarazoesnaocompra[".closePopupAfterAdd"] = 1;
$tdatarazoesnaocompra[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatarazoesnaocompra[".list"] = true;
}



$tdatarazoesnaocompra[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatarazoesnaocompra[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatarazoesnaocompra[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatarazoesnaocompra[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatarazoesnaocompra[".printFriendly"] = true;
}



$tdatarazoesnaocompra[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatarazoesnaocompra[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatarazoesnaocompra[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatarazoesnaocompra[".isUseAjaxSuggest"] = true;

$tdatarazoesnaocompra[".rowHighlite"] = true;



			

$tdatarazoesnaocompra[".ajaxCodeSnippetAdded"] = false;

$tdatarazoesnaocompra[".buttonsAdded"] = false;

$tdatarazoesnaocompra[".addPageEvents"] = false;

// use timepicker for search panel
$tdatarazoesnaocompra[".isUseTimeForSearch"] = false;


$tdatarazoesnaocompra[".badgeColor"] = "CD853F";


$tdatarazoesnaocompra[".allSearchFields"] = array();
$tdatarazoesnaocompra[".filterFields"] = array();
$tdatarazoesnaocompra[".requiredSearchFields"] = array();

$tdatarazoesnaocompra[".googleLikeFields"] = array();
$tdatarazoesnaocompra[".googleLikeFields"][] = "CodRazoes";
$tdatarazoesnaocompra[".googleLikeFields"][] = "Descrição";



$tdatarazoesnaocompra[".tableType"] = "list";

$tdatarazoesnaocompra[".printerPageOrientation"] = 0;
$tdatarazoesnaocompra[".nPrinterPageScale"] = 100;

$tdatarazoesnaocompra[".nPrinterSplitRecords"] = 40;

$tdatarazoesnaocompra[".geocodingEnabled"] = false;










$tdatarazoesnaocompra[".pageSize"] = 999;

$tdatarazoesnaocompra[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatarazoesnaocompra[".strOrderBy"] = $tstrOrderBy;

$tdatarazoesnaocompra[".orderindexes"] = array();

$tdatarazoesnaocompra[".sqlHead"] = "SELECT CodRazoes,  	`Descrição`";
$tdatarazoesnaocompra[".sqlFrom"] = "FROM Razoesnaocompra";
$tdatarazoesnaocompra[".sqlWhereExpr"] = "";
$tdatarazoesnaocompra[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatarazoesnaocompra[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatarazoesnaocompra[".arrGroupsPerPage"] = $arrGPP;

$tdatarazoesnaocompra[".highlightSearchResults"] = true;

$tableKeysrazoesnaocompra = array();
$tableKeysrazoesnaocompra[] = "CodRazoes";
$tdatarazoesnaocompra[".Keys"] = $tableKeysrazoesnaocompra;


$tdatarazoesnaocompra[".hideMobileList"] = array();




//	CodRazoes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodRazoes";
	$fdata["GoodName"] = "CodRazoes";
	$fdata["ownerTable"] = "Razoesnaocompra";
	$fdata["Label"] = GetFieldLabel("Razoesnaocompra","CodRazoes");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodRazoes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodRazoes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarazoesnaocompra["CodRazoes"] = $fdata;
		$tdatarazoesnaocompra[".searchableFields"][] = "CodRazoes";
//	Descrição
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Descrição";
	$fdata["GoodName"] = "Descri__o";
	$fdata["ownerTable"] = "Razoesnaocompra";
	$fdata["Label"] = GetFieldLabel("Razoesnaocompra","Descri__o");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Descrição";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Descrição`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarazoesnaocompra["Descrição"] = $fdata;
		$tdatarazoesnaocompra[".searchableFields"][] = "Descrição";


$tables_data["Razoesnaocompra"]=&$tdatarazoesnaocompra;
$field_labels["Razoesnaocompra"] = &$fieldLabelsrazoesnaocompra;
$fieldToolTips["Razoesnaocompra"] = &$fieldToolTipsrazoesnaocompra;
$placeHolders["Razoesnaocompra"] = &$placeHoldersrazoesnaocompra;
$page_titles["Razoesnaocompra"] = &$pageTitlesrazoesnaocompra;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Razoesnaocompra"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Razoesnaocompra"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_razoesnaocompra()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CodRazoes,  	`Descrição`";
$proto0["m_strFrom"] = "FROM Razoesnaocompra";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CodRazoes",
	"m_strTable" => "Razoesnaocompra",
	"m_srcTableName" => "Razoesnaocompra"
));

$proto6["m_sql"] = "CodRazoes";
$proto6["m_srcTableName"] = "Razoesnaocompra";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Descrição",
	"m_strTable" => "Razoesnaocompra",
	"m_srcTableName" => "Razoesnaocompra"
));

$proto8["m_sql"] = "`Descrição`";
$proto8["m_srcTableName"] = "Razoesnaocompra";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "Razoesnaocompra";
$proto11["m_srcTableName"] = "Razoesnaocompra";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "CodRazoes";
$proto11["m_columns"][] = "Descrição";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "Razoesnaocompra";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "Razoesnaocompra";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Razoesnaocompra";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_razoesnaocompra = createSqlQuery_razoesnaocompra();


	
		;

		

$tdatarazoesnaocompra[".sqlquery"] = $queryData_razoesnaocompra;

$tableEvents["Razoesnaocompra"] = new eventsBase;
$tdatarazoesnaocompra[".hasEvents"] = false;

?>